#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC6,0xF3,0x2C,0xD0,0xD8,0x78,0x4D,0x62,0x69,0xA3,0x72,0x82,
		0x44,0x79,0xF9,0xB5,0xA5,0x5A,0x08,0x46,0xFA,0x0C,0x32,0xC2,
		0xE9,0x61,0xB3,0xB7,0x65,0x91,0xA3,0x42,0xBB,0x51,0xF1,0x1F,
		0x5D,0x33,0x3C,0x7A,0xDC,0xAC,0xF7,0x3D,0xC1,0x95,0xDD,0x82,
		0x01,0x17,0x5D,0xC0,0xCE,0x09,0xA5,0x81,0x85,0xF6,0x3E,0xD4,
		0xC5,0xCE,0x62,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
